aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2020-12-15 17:54:12 -0300
committerEuAndreh <eu@euandre.org>2020-12-15 17:56:20 -0300
commit4bc1ebfb529e240dcc7e16d7984c01c7ae5112b4 (patch)
treef0e4690e27ef6290c393c8987ef2656b68460cfc /scripts
parentUpdate po entries with eu_categories (diff)
downloadeuandre.org-4bc1ebfb529e240dcc7e16d7984c01c7ae5112b4.tar.gz
euandre.org-4bc1ebfb529e240dcc7e16d7984c01c7ae5112b4.tar.xz
sync-translations.sh: Fix git diff check for Nix build
Diffstat (limited to '')
-rwxr-xr-xscripts/sync-translations.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/scripts/sync-translations.sh b/scripts/sync-translations.sh
index d15a9e6..6762b56 100755
--- a/scripts/sync-translations.sh
+++ b/scripts/sync-translations.sh
@@ -10,8 +10,10 @@ set -x
if [[ "${1:-}" = '--check' ]]; then
git add locale/
- git diff --quiet --staged || {
- echo 'Translations are out of sync'
+ git diff --quiet --staged -- ':!scripts/' || {
+ echo 'Translations are out of sync:'
+ git diff --staged -- ':!scripts/'
+ git diff --quiet --staged
exit 1
}
fi